## r-cran-rwave 2.4

=== DESCRIPTION ===
Package: Rwave
Version: 2.4-8
Date: 2018-01-17
Title: Time-Frequency Analysis of 1-D Signals
Authors@R: c(person(given="Rene", family='Carmona', email='rcarmona@princeton.edu', role='aut'),
	   person(given="Bruno", family='Torresani', email='bruno.torresani@cmi.univ-mrs.fr', role='aut'),
	   person(given="Brandon", family='Whitcher', email='bjw34032@users.sourceforge.net', role='ctb'),
	   person(given="Andrea", family='Wang', role='ctb'),
	   person(given="Wen-Liang", family='Hwang', role='ctb'),
	   person(given="Jonathan M.", family="Lees", role = c("ctb", "cre"), email = "jonathan.lees@unc.edu"))
Author: Rene Carmona [aut],
	Bruno Torresani [aut],
	Brandon Whitcher [ctb],
	Andrea Wang [ctb],
	Wen-Liang Hwang [ctb],
	Jonathan M. Lees [ctb, cre]
Maintainer: Jonathan M. Lees <jonathan.lees@unc.edu>
Depends: R (>= 2.14)
Description: A set of R functions which provide an
        environment for the Time-Frequency analysis of 1-D signals (and
        especially for the wavelet and Gabor transforms of noisy
        signals). It was originally written for Splus by Rene Carmona,
        Bruno Torresani, and Wen L. Hwang, first at the University of
        California at Irvine and then at Princeton University.  Credit
        should also be given to Andrea Wang whose functions on the
        dyadic wavelet transform are included. Rwave is based on the
        book: "Practical Time-Frequency Analysis: Gabor and Wavelet
        Transforms with an Implementation in S", by Rene Carmona, Wen
        L. Hwang and Bruno Torresani (1998, eBook ISBN:978008053942), Academic Press.
License: GPL (>= 2)
Copyright: University of California
URL: http://www.orfe.princeton.edu/~rcarmona/TFbook/tfbook.html,
        http://r-forge.r-project.org/projects/rwave/
Packaged: 2018-01-19 19:34:48 UTC; lees
Repository: CRAN
Date/Publication: 2018-01-20 15:36:20 UTC
NeedsCompilation: yes

## r-cran-rwave 2.4-8

=== debian/changelog ===
r-cran-rwave (2.4-8-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:06:40 +0200

r-cran-rwave (2.4-8-2) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 06:32:31 +0200

r-cran-rwave (2.4-8-1) unstable; urgency=medium

  * Initial release (closes: #892478)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Mar 2018 19:09:26 +0100

=== debian/control ===
Source: r-cran-rwave
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rwave
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rwave.git
Homepage: https://cran.r-project.org/package=Rwave
Rules-Requires-Root: no

Package: r-cran-rwave
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R time-frequency analysis of 1-D signals
 A set of R functions which provide an environment for the Time-Frequency
 analysis of 1-D signals (and especially for the wavelet and Gabor
 transforms of noisy signals). It was originally written for Splus by
 Rene Carmona, Bruno Torresani, and Wen L. Hwang, first at the University
 of California at Irvine and then at Princeton University. Credit should
 also be given to Andrea Wang whose functions on the dyadic wavelet
 transform are included. Rwave is based on the book: "Practical
 Time-Frequency Analysis: Gabor and Wavelet Transforms with an Implementation
 in S", by Rene Carmona, Wen L. Hwang and Bruno Torresani (1998, eBook
 ISBN:978008053942), Academic Press.

## r-cran-rwave 2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Package: Rwave
-Version: 2.4-8
-Date: 2018-01-17
+Version: 2.6-5
+Date: 2022-10-18
 Title: Time-Frequency Analysis of 1-D Signals
 Authors@R: c(person(given="Rene", family='Carmona', email='rcarmona@princeton.edu', role='aut'),
 	   person(given="Bruno", family='Torresani', email='bruno.torresani@cmi.univ-mrs.fr', role='aut'),
 	   person(given="Brandon", family='Whitcher', email='bjw34032@users.sourceforge.net', role='ctb'),
 	   person(given="Andrea", family='Wang', role='ctb'),
 	   person(given="Wen-Liang", family='Hwang', role='ctb'),
+	   person(given="Robert", family="Alberts", role='ctb'),
 	   person(given="Jonathan M.", family="Lees", role = c("ctb", "cre"), email = "jonathan.lees@unc.edu"))
 Author: Rene Carmona [aut],
-	Bruno Torresani [aut],
-	Brandon Whitcher [ctb],
-	Andrea Wang [ctb],
-	Wen-Liang Hwang [ctb],
-	Jonathan M. Lees [ctb, cre]
+  Bruno Torresani [aut],
+  Brandon Whitcher [ctb],
+  Andrea Wang [ctb],
+  Wen-Liang Hwang [ctb],
+  Robert Alberts [ctb],
+  Jonathan M. Lees [ctb, cre]
 Maintainer: Jonathan M. Lees <jonathan.lees@unc.edu>
 Depends: R (>= 2.14)
 Description: A set of R functions which provide an
@@ -29,9 +31,9 @@
         L. Hwang and Bruno Torresani (1998, eBook ISBN:978008053942), Academic Press.
 License: GPL (>= 2)
 Copyright: University of California
-URL: http://www.orfe.princeton.edu/~rcarmona/TFbook/tfbook.html,
-        http://r-forge.r-project.org/projects/rwave/
-Packaged: 2018-01-19 19:34:48 UTC; lees
+URL: https://carmona.princeton.edu/TFbook/tfbook.html,
+        https://r-forge.r-project.org/projects/rwave/
+Packaged: 2022-10-20 16:53:19 UTC; lees
 Repository: CRAN
-Date/Publication: 2018-01-20 15:36:20 UTC
+Date/Publication: 2022-10-21 23:17:49 UTC
 NeedsCompilation: yes

## r-cran-rwave 2.6-0

=== debian/changelog ===
r-cran-rwave (2.6-0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 2.6-0

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Oct 2021 20:59:21 +0530

r-cran-rwave (2.5-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 09:32:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rwave
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rwave.git
 Homepage: https://cran.r-project.org/package=Rwave

## r-cran-rwave 2.6-5

=== debian/changelog ===
r-cran-rwave (2.6-5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.6-5
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Oct 2022 19:27:19 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rwave
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rwave.git
 Homepage: https://cran.r-project.org/package=Rwave

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Rwave_([-\d.]*)\.tar\.gz
